Page MenuHomePhabricator

Content namespace definition for arwiki is still in InitialiseSettings.php after namespace was deleted
Closed, ResolvedPublic

Description

InitialiseSetting.php defines the Arabic Wikipedia's namespace 104 as a content namespace. However, that namespace was deleted and the pages moved to the main namespace in August 2015 (T98896). You can verify that by looking at the list of namespaces from the API—there's no entry for 104.

The configuration line doesn't seem to be doing any harm, but it should probably be deleted to prevent confusion in the future.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 6:37 PM
Legoktm renamed this task from Content namespace definition remains in InitialiseSettings.php after namespace has been deleted to Content namespace definition for arwiki is still in InitialiseSettings.php after namespace was deleted.Aug 2 2016, 7:04 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptAug 2 2016, 7:04 PM
Dereckson added a subscriber: Dereckson.

5a924a42 indeed removed the namespace.

Change 302619 had a related patch set uploaded (by Dereckson):
Reset ar.wikipedia content namespaces

https://gerrit.wikimedia.org/r/302619

Change 302619 merged by jenkins-bot:
Reset ar.wikipedia content namespaces

https://gerrit.wikimedia.org/r/302619

Mentioned in SAL [2016-08-02T23:51:35Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Reset ar.wikipedia content namespaces (T141906) (duration: 00m 26s)

Dereckson closed this task as Resolved.Aug 3 2016, 12:32 AM
Dereckson triaged this task as Medium priority.